aboutsummaryrefslogtreecommitdiffstats
path: root/platforms/rpi3+64/specialFunctions.sh
diff options
context:
space:
mode:
authorJybz <j.biernacki@free.fr>2020-01-05 12:26:18 +0100
committerNeal Gompa <ngompa13@gmail.com>2020-01-05 14:11:26 -0500
commit86a52fa755c3af47633b4e52950ee863218a80d5 (patch)
tree5e7cc89474b9c3174cb5e27be8fa62355ecc3266 /platforms/rpi3+64/specialFunctions.sh
parente52a9a4871dac8703b043d88233437af66ad726c (diff)
downloadmageia4arm-86a52fa755c3af47633b4e52950ee863218a80d5.tar
mageia4arm-86a52fa755c3af47633b4e52950ee863218a80d5.tar.gz
mageia4arm-86a52fa755c3af47633b4e52950ee863218a80d5.tar.bz2
mageia4arm-86a52fa755c3af47633b4e52950ee863218a80d5.tar.xz
mageia4arm-86a52fa755c3af47633b4e52950ee863218a80d5.zip
rpi3b+64b
Diffstat (limited to 'platforms/rpi3+64/specialFunctions.sh')
-rwxr-xr-xplatforms/rpi3+64/specialFunctions.sh50
1 files changed, 28 insertions, 22 deletions
diff --git a/platforms/rpi3+64/specialFunctions.sh b/platforms/rpi3+64/specialFunctions.sh
index c239b89..a62c794 100755
--- a/platforms/rpi3+64/specialFunctions.sh
+++ b/platforms/rpi3+64/specialFunctions.sh
@@ -40,29 +40,35 @@ FDISK_SCRIPT="${NEW_PART}\n${PRIMARY}\n${PART_BOOT}\n${PART_BOOT_FIRST_SECTOR}\n
function preImgCreation()
{
+
+ title "Download binary blob for Rpi"
+ for i in ${FIRMWARE_DOWNLOAD_URL}; do
+ info "Download ${i}"
+ curl -L -O -J ${i} -s
+ done
+
+# if ! [ -d "${FIRMWARE_PATH}/${FIRMWARE_DIR}" ]; then # the firmware directory does not exists
+# echo "$(ls *.zip| wc -l)"
+# if [ "$(ls *.zip| wc -l)" -eq 0 ]; then # the firmware archive does not exists
+# warning "The raspberry pi firmware need to be downloaded"
+# info "Downloading FIRMWARE_FILENAME"
+# wget ${FIRMWARE_DOWNLOAD_URL}
+# # curl -L -O -J ${FIRMWARE_DOWNLOAD_URL}
+# # curl -L ${FIRMWARE_DOWNLOAD_URL} -o firmware-stable.zip
+# if [ ${?} -ne 0 ]; then
+# error "line ${LINENO} error downloading raspberry firmware at ${FIRMWARE_DOWNLOAD_URL}: exiting"
+# exit 1
+# fi
+# fi
+# info "extracting firmware"
+# unzip -d "${FIRMWARE_PATH}" *.zip
+# if [ ${?} -ne 0 ]; then
+# error "line ${LINENO} error unzipping ${FIRMWARE_PATH} : exiting"
+# exit 1
+# fi
+# fi
+
title "Creating Pi image"
-
- if ! [ -d "${FIRMWARE_PATH}/${FIRMWARE_DIR}" ]; then # the firmware directory does not exists
- echo "$(ls *.zip| wc -l)"
- if [ "$(ls *.zip| wc -l)" -eq 0 ]; then # the firmware archive does not exists
- warning "The raspberry pi firmware need to be downloaded"
- info "Downloading FIRMWARE_FILENAME"
- wget ${FIRMWARE_DOWNLOAD_URL}
-# curl -L -O -J ${FIRMWARE_DOWNLOAD_URL}
-# curl -L ${FIRMWARE_DOWNLOAD_URL} -o firmware-stable.zip
- if [ ${?} -ne 0 ]; then
- error "line ${LINENO} error downloading raspberry firmware at ${FIRMWARE_DOWNLOAD_URL}: exiting"
- exit 1
- fi
- fi
- info "extracting firmware"
- unzip -d "${FIRMWARE_PATH}" *.zip
- if [ ${?} -ne 0 ]; then
- error "line ${LINENO} error unzipping ${FIRMWARE_PATH} : exiting"
- exit 1
- fi
- fi
-
title "Making raspberry pi image"
return 0
}